Name:		bonobo
Summary: Library for compound documents in GNOME.
Version: 	1.0.7
Release: 	2
License: 	GPL
Group: System Environment/Libraries
Source: 	%{name}-%{version}.tar.gz
URL: 		http://www.gnome.org/
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Requires:	gnome-libs >= 1.2.5
Requires:	ORBit >= 0.5.8
Requires:	oaf >= 0.5.1
Requires:	libxml >= 1.8.10
BuildRequires:  gnome-libs-devel >= 1.2.5 , ORBit-devel >= 0.5.8, oaf-devel >= 0.5.1, libxml-devel >= 1.8.10
BuildRequires:  openjade, gtk+-devel, glib-devel, XFree86-devel
BuildRequires:  gdk-pixbuf-devel, gnome-print-devel

%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with
spreadsheet and/or graphics embedded in a word-processing document.

%package devel
Summary: Libraries and include files for the Bonobo document model.
Group: Development/Libraries
Requires:	%name = %{PACKAGE_VERSION}

%description devel
This package provides the necessary development libraries and include
files that allow you to develop programs using the Bonobo document
model.

%prep
%setup -q

touch configure
touch libefs/configure

%build
%configure
make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

%find_lang %name

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
/usr/bin/bonobo-application-x-mines
/usr/bin/bonobo-audio-ulaw
/usr/bin/bonobo-echo
/usr/bin/bonobo-sample-canvas-item
/usr/bin/bonobo-sample-controls
/usr/bin/bonobo-sample-hello
/usr/bin/bonobo-sample-paint
/usr/bin/bonobo-text-plain
/usr/bin/echo-client
/usr/bin/efstool
/usr/bin/libefs-config
/usr/bin/sample-container
/usr/bin/sample-control-container
/usr/lib/bonobo/plugin/*
/usr/lib/bonobo/monikers/*
/usr/lib/*.0
/usr/lib/*.1

%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README

%defattr (-, root, root)
# /usr/share/bonobo/html/bonobo/*.html
# /usr/share/bonobo/html/bonobo/*.sgml
# /usr/share/bonobo/html/*.html
# %config %{_sysconfdir}/CORBA/servers/*.gnorba
/usr/share/bonobo/html/*.hierarchy
/usr/share/bonobo/html/*.sgml
/usr/share/bonobo/html/*.signals
/usr/share/bonobo/html/*.txt
/usr/share/bonobo/html/*.types
/usr/share/idl/*.idl
/usr/share/oaf/*.oaf

%files devel

%defattr(-, root, root)
%dir /usr/include/bonobo
/usr/lib/*.a
/usr/lib/*.so
/usr/lib/*.sh
/usr/lib/pkgconfig/libefs.pc

%defattr(0444, bin, bin)
/usr/include/*.h
/usr/include/bonobo/*.h



%changelog
* Mon Aug 20 2001 Alexander Larsson <alexl@redhat.com> 1.0.7-2
- Moved gnome-conf and pkgconfig files to the devel package
- Fixes SHOULD-FIX bug #49793

* Thu Jul 19 2001 Alexander Larsson <alexl@redhat.com>
- Added build dependencies for gdk-pixbuf-devel and
  gnome-print-devel.
- Updated to 1.0.7 from upstream. This fixes the bug we
  had a patch for, so I removed that patch. The final code
  will be the same, but it will be less confusing.

* Fri Jul  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Don't define release and name before the headers
- root, not bin, should own files
- s/Copyright/License/
- Add BuildRequires
- langify
- Move the .so files to the main package

* Tue Jul 03 2001 Havoc Pennington <hp@redhat.com>
- apply a memory corruption fix from CVS 

* Thu Jun 28 2001 Havoc Pennington <hp@redhat.com>
- 1.0.6

* Mon May 14 2001 Jonathan Blandford <jrb@redhat.com>
- touch configure temporarily as package has wrong timestamp.  Prolly
  can be removed in 12 hours.
- move %%changelog
- fix up broken %%post
- New version

* Thu Apr 19 2001 Jonathan Blandford <jrb@redhat.com>
- Import to RH build system

* Wed Oct 18 2000 Eskil Heyn Olsen <eskil@eazel.com>
- Added requirements to the base package
- Added bonobo-ui-extract to the file list of the base pacakge

* Tue Feb 22 2000 Jens Finke <jens.finke@informatik.uni-oldenburg.de>
- Added bonobo.h to the file list of devel package.

* Wed Nov 10 1999 Alexander Skwar <ASkwar@DigitalProjects.com>
- Updated to version 0.5
- fixed spec file
- Un-quiet things
- stripped binaries
- unsetted language environment variables

* Sat Oct 2 1999 Gregory McLean <gregm@comstar.net>
- Updated the spec for version 0.4
- Updated the files section.

* Sun Aug 1 1999 Gregory McLean <gregm@comstar.net>
- Some updates. sysconfdir stuff, quiet down the prep/configure stage.

* Sat May 1 1999 Erik Walthinsen <omega@cse.ogi.edu>
- created spec file
